## linux-minidisc 0.9.13

=== basictools/Makefile ===

CFLAGS=-Wall

all: himddiskid mp3key himdformat

clean:
	rm -f *.o
	rm -f himddiskid mp3key himdformat himdformat_scg himdscsitest

## linux-minidisc 0.9.5

=== debian/changelog ===
linux-minidisc (0.9.5-1) unstable; urgency=low

  * Initial release (Closes: #693998)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 26 Nov 2012 17:02:56 +0100

=== debian/control ===
Source: linux-minidisc
Section: sound
Priority: extra
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Build-Depends: debhelper (>= 9.0.0), libqt4-dev, libglib2.0-dev, libmad0-dev, libgcrypt-dev, libsox-dev, libusb-1.0-0-dev, libid3tag0-dev, libtag1-dev
Standards-Version: 3.9.3
Homepage: https://wiki.physik.fu-berlin.de/linux-minidisc
Vcs-Git: git://github.com/glaubitz/linux-minidisc-debian.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/linux-minidisc.git;a=summary

Package: minidisc-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line utilities for MiniDisc access
 This package contains several utilities which allow
 to access NetMD and HiMD devices through a command line
 interface. The utilities allow to transfer tracks to
 and from NetMD and HiMD devices as well as erase
 tracks, display tracks and renaming tracks among other
 functions supported by libnetmd and libhimd libraries.
 .

# Package: libhimd0
# Architecture: any
# Depends: ${shlibs:Depends}, ${misc:Depends}
# Description: <insert up to 60 chars description>
#  <insert long description, indented with spaces>

# Package: libhimd-dev
# Architecture: any
# Depends: ${shlibs:Depends}, ${misc:Depends}
# Description: <insert up to 60 chars description>
#  <insert long description, indented with spaces>

# Package: libnetmd0
# Architecture: any
# Depends: ${shlibs:Depends}, ${misc:Depends}
# Description: <insert up to 60 chars description>
#  <insert long description, indented with spaces>

# Package: libnetmd-dev
# Architecture: any
# Depends: ${shlibs:Depends}, ${misc:Depends}
# Description: <insert up to 60 chars description>
#  <insert long description, indented with spaces>

Package: qhimdtransfer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Transfer software for HiMD Walkman
 qhimdtransfer is a simple graphical user interface application
 for accessing MiniDisc devices. Currently, qhimdtransfer
 supports HiMD devices only through libhimd. Support for
 NetMD devices through libnetmd is being planned and
 implemented by upstream for the next releases.
 .

#Package: linux-minidisc-doc
#Architecture: all
#Description: Documentation for linux-minidisc
# <insert long description, indented with spaces>

=== debian/watch ===
version=3
https://github.com/glaubitz/linux-minidisc/tags .*/tarball/v(\d[\d\.]+)

## linux-minidisc 0.9.6

=== debian/changelog ===
linux-minidisc (0.9.6-1) unstable; urgency=low

  * New upstream release.
    - fixes FTBFS on Debian GNU/kFreeBSD
    - initial work for MP3 downloads in qhimdtransfer
    - use a signal handler to process input for the directory
      browser; this allows selecting tracks with the keybaord
  * Fix watch line in Debian watch file. Thanks, Bart Martens.
  * Fix build dependency for libgcrypt11-dev.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 20 Dec 2012 01:31:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
-Build-Depends: debhelper (>= 9.0.0), libqt4-dev, libglib2.0-dev, libmad0-dev, libgcrypt-dev, libsox-dev, libusb-1.0-0-dev, libid3tag0-dev, libtag1-dev
+Build-Depends: debhelper (>= 9.0.0), libqt4-dev, libglib2.0-dev, libmad0-dev, libgcrypt11-dev, libsox-dev, libusb-1.0-0-dev, libid3tag0-dev, libtag1-dev
 Standards-Version: 3.9.3
 Homepage: https://wiki.physik.fu-berlin.de/linux-minidisc
 Vcs-Git: git://github.com/glaubitz/linux-minidisc-debian.git

## linux-minidisc 0.9.7

=== debian/changelog ===
linux-minidisc (0.9.7-2) unstable; urgency=low

  * Add missing statement in qhimdtransfer.install
    for translations.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 30 Apr 2013 00:37:49 +0200

linux-minidisc (0.9.7-1) unstable; urgency=low

  * New upstream release.
    - added initial Ukrainian translation
    - add checking for error code from libusb_open
  * Bump standards version to 3.9.4, no changes required
  * Add Vcs-Browser in debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 29 Apr 2013 11:41:36 +0200

## linux-minidisc 0.9.8

=== debian/changelog ===
linux-minidisc (0.9.8-1) unstable; urgency=low

  * New upstream release.
    - fix renaming of tracks on certain NetMD devices
    - fix building of qhimdtransfer without libmad

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 03 May 2013 05:14:26 +0200

## linux-minidisc 0.9.9

=== debian/changelog ===
linux-minidisc (0.9.9-1) unstable; urgency=low

  * New upstream release.
    - fix renaming of discs on certain NetMD devices

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 10 May 2013 00:45:57 +0200

## linux-minidisc 0.9.10

=== debian/changelog ===
linux-minidisc (0.9.10-1) unstable; urgency=low

  * New upstream release.
    - add column in trackview to display recording
      date and time in qhimdtransfer

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 13 Aug 2013 06:34:11 +0200

## linux-minidisc 0.9.13

=== debian/changelog ===
linux-minidisc (0.9.13-1) unstable; urgency=medium

   * New upstream release.
     - fix include directives for Qt
     - remove deprecated files from source

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 06 Jan 2014 11:11:47 +0100

linux-minidisc (0.9.12-1) unstable; urgency=medium

  * New upstream release.
    - add support for NetMD devices in QHiMDTransfer
  * Fix install path for netmd.rules file in debian/minidisc-utils.install.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 05 Jan 2014 20:50:05 +0100

linux-minidisc (0.9.11-1) unstable; urgency=low

  * New upstream release.
    - add build support for Qt5

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 15 Dec 2013 23:29:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends: debhelper (>= 9.0.0), libqt4-dev, libglib2.0-dev, libmad0-dev, libgcrypt11-dev, libsox-dev, libusb-1.0-0-dev, libid3tag0-dev, libtag1-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://wiki.physik.fu-berlin.de/linux-minidisc
 Vcs-Git: git://github.com/glaubitz/linux-minidisc-debian.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/linux-minidisc.git;a=summary
+Vcs-Browser: https://github.com/glaubitz/linux-minidisc
 
 Package: minidisc-utils
 Architecture: any

## linux-minidisc 0.9.14

=== debian/changelog ===
linux-minidisc (0.9.14-2) unstable; urgency=medium

  * debian/patches/0002-fix-big-endian64-builds.patch:
    - Add patch to fix FTFBS on big-endian 64-bit

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 09 Dec 2016 14:38:42 +0100

linux-minidisc (0.9.14-1) unstable; urgency=medium

  * New upstream release.
    - add support for continous integration
    - restructure build system
    - replace sox dependency with custom WAV file writer
    - improve parallel builds
    - various fixes
  * debian/changelog:
    - fix indentation of 0.9.13-1 entry
  * debian/control:
    - drop deprecated build dependency on libsox-dev
  * debian/patches/0001-use-builddate-from-changelog.patch:
    - set BUILDDATE from last entry in debian/changelog
      to make the build reproducible (Closes: #786568).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 09 Dec 2016 12:12:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
-Build-Depends: debhelper (>= 9.0.0), libqt4-dev, libglib2.0-dev, libmad0-dev, libgcrypt11-dev, libsox-dev, libusb-1.0-0-dev, libid3tag0-dev, libtag1-dev
+Build-Depends: debhelper (>= 9.0.0), libqt4-dev, libglib2.0-dev, libmad0-dev, libgcrypt11-dev, libusb-1.0-0-dev, libid3tag0-dev, libtag1-dev
 Standards-Version: 3.9.4
 Homepage: https://wiki.physik.fu-berlin.de/linux-minidisc
 Vcs-Git: git://github.com/glaubitz/linux-minidisc-debian.git

## linux-minidisc 0.9.15

=== debian/changelog ===
linux-minidisc (0.9.15-1) unstable; urgency=medium

  * New upstream release.
   - add build support for Qt5 (Closes: #875037)
   - fix build on 64-bit big-endian systems
   - add Travis configuration for continuous integration
   - update credits in about dialog of QHiMDTransfer
   - remove glib dependency for libnetmd, netmdcli and QHiMDTransfer
   - remove dependency on sox
  * Drop patch 0002-fix-big-endian64-builds.patch, merged upstream.
  * Update build dependencies for Qt5 in debian/control.
  * Set QT_SELECT to "qt5" in debian/rules.
  * Update standards version to 4.1.0 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 19 Sep 2017 20:15:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: sound
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
-Build-Depends: debhelper (>= 9.0.0), libqt4-dev, libglib2.0-dev, libmad0-dev, libgcrypt11-dev, libusb-1.0-0-dev, libid3tag0-dev, libtag1-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qttools5-dev-tools, libglib2.0-dev, libmad0-dev, libgcrypt11-dev, libusb-1.0-0-dev, libid3tag0-dev, libtag1-dev
+Standards-Version: 4.1.0
 Homepage: https://wiki.physik.fu-berlin.de/linux-minidisc
 Vcs-Git: git://github.com/glaubitz/linux-minidisc-debian.git
 Vcs-Browser: https://github.com/glaubitz/linux-minidisc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
export QT_SELECT=qt5

%:
	dh $@

## linux-minidisc 0.9.16

=== debian/changelog ===
linux-minidisc (0.9.16-4) unstable; urgency=medium

  * Replace libtag1-dev with libtag-dev in Build-Depends
    in debian/control (Closes: #1096087)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 29 Oct 2025 15:18:58 +0100

linux-minidisc (0.9.16-3) unstable; urgency=medium

  * Add pkgconf to Build-Depends in debian/control
  * Add systemd-dev to Build-Depends in debian/control
  * Run pkg-config to obtain path for udev base directory in debian/rules
  * Use obtained udev base directory to install rules files
    in debian/minidisc-utils.install (Closes: #1057827)
  * Update debhelper version to 13 and switch to debhelper-compat
  * Use proper debian/tmp source paths in debian/minidisc-utils.install
  * Use proper debian/tmp source paths in debian/qhimdtransfer.install
  * Run wrap-and-sort to clean up files in debian directory

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 11 Jun 2024 08:35:13 +0200

linux-minidisc (0.9.16-2) unstable; urgency=medium

  * Switch priority from extra to optional in debian/control.
  * Remove trailing space from dh statement in debian/rules.
  * Fix spelling errors in description in debian/control.
  * Fix spelling error in debian/README.Debian.
  * Fix redefinition of licenses in debian/copyright.
  * Use secure URI for copyright format reference in debian/copyright.
  * Update years in debian/copyright.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 16 Jan 2019 16:18:06 +0100

linux-minidisc (0.9.16-1) unstable; urgency=medium

  * New upstream release.
    - add missing dependency on libz in qhimdtransfer qmake project file
    - implement very rudimentary MP3 download support in qhimdtransfer
    - move himd_writemp3() from himdcli to libhimd
    - free allocted strings in himd_write_tifdata()
    - fix crash when _trkidxXX.hma does not exist
    - use regular expressions in scanfortif()
    - scan for the highest numbered track index file in scanfortif()
    - use better names for argc/min_argc in netmdcli
    - check arguments to avoid out-of-bounds access in netmdcli
  * Bump debhelper version to 12, in d/compat and d/control.
  * Update standards version to 4.2.1 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 16 Jan 2019 11:08:26 +0100

linux-minidisc (0.9.15-2) unstable; urgency=medium

  * Switch build dependency from libgcrypt11-dev to
    libgcrypt20-dev in debian/control (Closes: #864122).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 27 Oct 2018 23:24:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,30 @@
 Source: linux-minidisc
 Section: sound
-Priority: extra
+Priority: optional
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
-Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qttools5-dev-tools, libglib2.0-dev, libmad0-dev, libgcrypt11-dev, libusb-1.0-0-dev, libid3tag0-dev, libtag1-dev
-Standards-Version: 4.1.0
+Build-Depends: debhelper-compat (= 13),
+               libgcrypt20-dev,
+               libglib2.0-dev,
+               libid3tag0-dev,
+               libmad0-dev,
+               libtag-dev,
+               libusb-1.0-0-dev,
+               pkgconf,
+               qtbase5-dev,
+               qttools5-dev-tools,
+               systemd-dev
+Standards-Version: 4.2.1
 Homepage: https://wiki.physik.fu-berlin.de/linux-minidisc
 Vcs-Git: git://github.com/glaubitz/linux-minidisc-debian.git
 Vcs-Browser: https://github.com/glaubitz/linux-minidisc
 
 Package: minidisc-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Command line utilities for MiniDisc access
- This package contains several utilities which allow
+ This package contains several utilities which allow one
  to access NetMD and HiMD devices through a command line
- interface. The utilities allow to transfer tracks to
+ interface. The utilities allow one to transfer tracks to
  and from NetMD and HiMD devices as well as erase
  tracks, display tracks and renaming tracks among other
  functions supported by libnetmd and libhimd libraries.
@@ -46,7 +56,7 @@
 
 Package: qhimdtransfer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Transfer software for HiMD Walkman
  qhimdtransfer is a simple graphical user interface application
  for accessing MiniDisc devices. Currently, qhimdtransfer

=== debian/watch ===
version=3
https://github.com/glaubitz/linux-minidisc/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Mon, 10 Dec 2012 18:31:13 +0000
